View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004654VTK(No Category)public2007-03-22 05:562014-10-02 11:23
Reporterxabi riobe 
Assigned ToCory Quammen 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0004654: vtkCornerAnnotation unnecessary method call
Descriptionin vtkCornerAnnotation::RenderOpaqueGeometry,
the method this->TextReplace(ia, wl) should be called only if there is a change in ImageActor or window/level, and not on viewport resize.

The current condition is (line 424):
if (viewport_size_has_changed || tprop_has_changed ||
(this->GetMTime() > this->BuildTime) ||
(ia && (ia != this->LastImageActor ||
      (ia->GetMTime() > this->BuildTime)) ||
(wl && wl->GetMTime() > this->BuildTime))
TagsNo tags attached.
ProjectTBD
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0033465)
Cory Quammen (developer)
2014-10-02 11:22

I tested the proposed fix. Removing the dependence on the window size change causes the corner annotations to not update to the correct position when the window is resized.

- Issue History
Date Modified Username Field Change
2011-06-16 13:11 Zack Galbreath Category => (No Category)
2012-03-07 03:11 xabi riobe Status expired => backlog
2012-03-07 03:11 xabi riobe Resolution open => reopened
2013-07-22 20:41 Dave DeMarle Project => TBD
2013-07-22 20:41 Dave DeMarle Type => incorrect functionality
2013-07-22 20:41 Dave DeMarle Assigned To Sebastien Barre => Dave DeMarle
2013-07-22 20:41 Dave DeMarle Status backlog => tabled
2013-07-22 20:41 Dave DeMarle Description Updated View Revisions
2013-07-22 20:43 Dave DeMarle Status tabled => backlog
2014-09-30 10:58 Dave DeMarle Assigned To Dave DeMarle =>
2014-10-02 11:22 Cory Quammen Note Added: 0033465
2014-10-02 11:23 Cory Quammen Status backlog => closed
2014-10-02 11:23 Cory Quammen Assigned To => Cory Quammen
2014-10-02 11:23 Cory Quammen Resolution reopened => won't fix


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker